<h1> {{title}}</h1>
<div class="">
    <p>
        <!-- <a routerLink="/demo-pipe" routerLinkActive="active">Demo Pipe Example</a> | -->
        <!--
        <a routerLink="/about" routerLinkActive="active">About Us</a> |
        <a routerLink="/services" routerLinkActive="active">Services</a> |
        <a routerLink="/products" routerLinkActive="active">Products</a>
        -->
        <!--
        
        <a routerLink="/first-test" routerLinkActive="active">First Test</a> | 
        <a routerLink="/learning-component" routerLinkActive="active">Learning Components</a> |
        <a routerLink="/test-app" routerLinkActive="active">Test App</a> |
        <a routerLink="/data-binding" routerLinkActive="active">Data Binding</a> |
        
        <a routerLink="/test-di" routerLinkActive="active">Test DI</a> |
  
          <a routerLink="/providers-example" routerLinkActive="active">Providers Example</a> |

           <a routerLink="/learn-animation" routerLinkActive="active">Learn Animations</a>
        -->
        <a routerLink="my-component" routerLinkActive="active">Compont Directive</a>
        <a routerLink="structure-directive" routerLinkActive="active">Structural Directive</a>
        <a routerLink="attribute-directive" routerLinkActive="active">Attribute Directive</a>
        <a routerLink="custom-attribute-directive" routerLinkActive="active">Custom Attribute Directive</a>
        <a routerLink="custom-structure-directive" routerLinkActive="active">Custom Structure Directive</a>
        <a routerLink="change-detection" routerLinkActive="active">Change Detection Example</a>
    </p>
    <!-- Logged in as : {{ username }} -->
    <div class="app-data">
        <router-outlet></router-outlet>
    </div>
   
</div>